Beta update.php fails:The content model 'CONTENT_MODEL_FLOW_BOARD' is not registered on this wiki.
Closed, ResolvedPublic

Description

The beta-update-databses-eqiad Jenkins job has been falling since Dec 4th 16:20UTC.

"#!/usr/bin/env php
PHP Notice:  Use of undefined constant CONTENT_MODEL_FLOW_BOARD - assumed 'CONTENT_MODEL_FLOW_BOARD' in /srv/mediawiki/wmf-config/CommonSettings.php on line 2752
Notice: Use of undefined constant CONTENT_MODEL_FLOW_BOARD - assumed 'CONTENT_MODEL_FLOW_BOARD' in /srv/mediawiki/wmf-config/CommonSettings.php on line 2752
MediaWiki 1.29.0-alpha Updater

<SNIP ...>
...Update 'RemoveOrphanedEvents' already logged as completed.
...Update 'FlowUpdateRecentChanges' already logged as completed.
...Update 'FlowSetUserIp' already logged as completed.
...Update 'FlowUpdateUserWiki' already logged as completed.
...Update 'FlowUpdateRevisionTypeId' already logged as completed.
...Update 'FlowPopulateLinksTables' already logged as completed.
...Update 'FlowFixLog:version2' already logged as completed.
...Update 'FlowUpdateWorkflowPageId' already logged as completed.
...Update 'FlowCreateTemplates:26baf169ef42d3bfcec7f3f2d84634c6' already logged as completed.
...Update 'FlowFixLinks:v2' already logged as completed.
...Update 'FlowBetaFeatureDisable' already logged as completed.
...Update 'FlowPopulateRefId' already logged as completed.
[2f3dbebaf29e703b7ade2de2] [no req]   MWUnknownContentModelException from line 347 of /srv/mediawiki-staging/php-master/includes/content/ContentHandler.php: The content model 'CONTENT_MODEL_FLOW_BOARD' is not registered on this wiki.
See https://www.mediawiki.org/wiki/Content_handlers to find out which extensions handle this content model.
Backtrace:
#0 /srv/mediawiki-staging/php-master/includes/Revision.php(1179): ContentHandler::getForModelID(string)
#1 /srv/mediawiki-staging/php-master/includes/Revision.php(1114): Revision->getContentHandler()
#2 /srv/mediawiki-staging/php-master/includes/Revision.php(1080): Revision->getContentInternal()
#3 /srv/mediawiki-staging/php-master/extensions/Flow/maintenance/FlowFixInconsistentBoards.php(106): Revision->getContent(integer)
#4 /srv/mediawiki-staging/php-master/maintenance/Maintenance.php(1576): FlowFixInconsistentBoards->doDBUpdates()
#5 /srv/mediawiki-staging/php-master/maintenance/update.php(184): LoggedUpdateMaintenance->execute()
#6 /srv/mediawiki-staging/php-master/maintenance/doMaintenance.php(111): UpdateMediaWiki->execute()
#7 /srv/mediawiki-staging/php-master/maintenance/update.php(217): require_once(string)
#8 /srv/mediawiki-staging/multiversion/MWScript.php(97): require_once(string)
#9 {main}
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptDec 5 2016, 9:39 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Mentioned in SAL (#wikimedia-releng) [2016-12-05T09:39:33Z] <hashar> beta-update-databases-eqiad fails due to CONTENT_MODEL_FLOW_BOARD not registered on the wiki. T152379

A couple PHP notice were already emitted in the previous successful build, so probably not related:

PHP Notice:  Use of undefined constant CONTENT_MODEL_FLOW_BOARD - assumed 'CONTENT_MODEL_FLOW_BOARD' in /srv/mediawiki/wmf-config/CommonSettings.php on line 2752
Notice: Use of undefined constant CONTENT_MODEL_FLOW_BOARD - assumed 'CONTENT_MODEL_FLOW_BOARD' in /srv/mediawiki/wmf-config/CommonSettings.php on line 2752

The CONTENT_MODEL_FLOW_BOARD notice appeared with the build of 30 nov. 2016 23:20:00.

There is the Flow change 9d087957aebaa28900033211936497df29f9e99a https://gerrit.wikimedia.org/r/#/c/213837/54 which introduces the extension registration system. Maybe it does not load defines.php which has the CONTENT_MODEL_FLOW_BOARD constant.

Mentioned in SAL (#wikimedia-operations) [2016-12-05T11:26:40Z] <Reedy> that was "Avoid using CONTENT_MODEL_FLOW_BOARD" for T152379

Reedy added a comment.Dec 5 2016, 1:08 PM

'FlowFixLog:version2' seems to be broken now, done this twice in a row

12:20:23 ...Update 'FlowFixLog:version2' already lBuild timed out (after 45 minutes). Marking the build as aborted.

It seems that we may need to revert, I found that it uses the templates in the modules but there using the wrong path. It will break flow when this is deployed.

It will either need to be fixed or reverted.

Paladox triaged this task as High priority.Dec 5 2016, 1:19 PM
Reedy added a comment.Dec 5 2016, 2:52 PM

Unrelated to this bug

Can't we just move the handlebars into the correct place?

Though. Have you tested this as actually broken?

I see on https://github.com/wikimedia/mediawiki-extensions-Flow/blob/371bc733ae414fa0945fa60062c08372ce145b7f/Resources.php#L34-L92 it's exactly the same as on the json version

And on https://github.com/wikimedia/mediawiki-extensions-Flow/blob/master/extension.json#L500-L501 and localBasePath is set to "", meaning the root.. Which I presume overrides https://github.com/wikimedia/mediawiki-extensions-Flow/blob/master/extension.json#L1135-L1138

Oh didn't notice that line, sorry.

A couple PHP notice were already emitted in the previous successful build, so probably not related:

PHP Notice:  Use of undefined constant CONTENT_MODEL_FLOW_BOARD - assumed 'CONTENT_MODEL_FLOW_BOARD' in /srv/mediawiki/wmf-config/CommonSettings.php on line 2752
Notice: Use of undefined constant CONTENT_MODEL_FLOW_BOARD - assumed 'CONTENT_MODEL_FLOW_BOARD' in /srv/mediawiki/wmf-config/CommonSettings.php on line 2752

This should be fixed now that https://gerrit.wikimedia.org/r/#/c/325152/ is merged.

The job is still failing with timeouts, though, but there are no errors in the console output so I can't tell why.

This problem could have been caused by extension.json.

But I think this https://github.com/wikimedia/mediawiki-extensions-Flow/commit/8a46683fe36e714d3ca0b0eab8829a7d2a7a0116 may also have broke it as it is looking Flow. The call that function may not work in extension registration. We use a different function to depend on other extensions in extension registration.

Reedy added a comment.Dec 6 2016, 8:37 AM

This problem could have been caused by extension.json.

But I think this https://github.com/wikimedia/mediawiki-extensions-Flow/commit/8a46683fe36e714d3ca0b0eab8829a7d2a7a0116 may also have broke it as it is looking Flow. The call that function may not work in extension registration. We use a different function to depend on other extensions in extension registration.

No, and ermm no?

That function *ONLY* works in extension registration. And it's not declaring dependancies, it's for making sure maintenance scripts that extensions are part of are loaded into MW first, before running, so they don't fail due to classes not being registered, and tables not having been created (post adding to LocalSettings and running update.php)

Paladox added a comment.EditedDec 6 2016, 8:52 AM

Are these configs meant to be in the config section

CapitalLinkOverrides

NamespacesWithSubpages

NamespaceContentModels

Since shoulde those be the main configs as they are not local configs?

Reedy added a comment.Dec 6 2016, 8:58 AM

Are these configs meant to be in the config section

CapitalLinkOverrides

NamespacesWithSubpages

NamespaceContentModels

Since shoulde those be the main configs as they are not local configs?

What does https://github.com/wikimedia/mediawiki/blob/master/docs/extension.schema.json say?

It looks like that config isent in there instead it looks like namespaces replaces those configs in extension registration.

Reedy added a comment.Dec 6 2016, 9:24 AM

Lots of these on enwiki...

enwiki:  Checked a total of 600 Flow boards.  Fixed a total of 0 inconsistent boards.
ERROR: 'User talk:New user 67389807935903133402985860604967265752' has page ID '127355', but no workflow is linked to this page ID
ERROR: 'User talk:New user 9899729898394571505247267070360483542' has page ID '127452', but no workflow is linked to this page ID
ERROR: 'User talk:New user 233413131946053218642823614530956309783' has page ID '127455', but no workflow is linked to this page ID
ERROR: 'User talk:New user 244065376373749719955882205430993471882' has page ID '127498', but no workflow is linked to this page ID
ERROR: 'User talk:New user 62627775151944279454886441060164876460' has page ID '127501', but no workflow is linked to this page ID
ERROR: 'User talk:New user 228427325566993409921918925609889696574' has page ID '127551', but no workflow is linked to this page ID
ERROR: 'User talk:New user 302494493635105989966981200965603548572' has page ID '127554', but no workflow is linked to this page ID
ERROR: 'User talk:New user 330615160258007270139569052465943745129' has page ID '127611', but no workflow is linked to this page ID
ERROR: 'User talk:New user 281114485341682927963960492541183519753' has page ID '127613', but no workflow is linked to this page ID
ERROR: 'User talk:New user 298309876282857248157994036172107536854' has page ID '127661', but no workflow is linked to this page ID
ERROR: 'User talk:New user 13929349919468408664467552376545585746' has page ID '127664', but no workflow is linked to this page ID
ERROR: 'User talk:New user 250218656034032411460037515034420768944' has page ID '127706', but no workflow is linked to this page ID
ERROR: 'User talk:New user 325206722593829821745333015210254817873' has page ID '127709', but no workflow is linked to this page ID
ERROR: 'User talk:New user 222028363776907314567584743524504946357' has page ID '127751', but no workflow is linked to this page ID
ERROR: 'User talk:New user 120113328573433717985693599084446480738' has page ID '127754', but no workflow is linked to this page ID
ERROR: 'User talk:New user 283654956605645140596398773069874234494' has page ID '127804', but no workflow is linked to this page ID
ERROR: 'User talk:New user 262541873714872057638467539841873096722' has page ID '127807', but no workflow is linked to this page ID
ERROR: 'User talk:New user 98676768876682874705083937018602799708' has page ID '127852', but no workflow is linked to this page ID
ERROR: 'User talk:New user 208359597545206677180444724673957363720' has page ID '127855', but no workflow is linked to this page ID
ERROR: 'User talk:New user 15671440004639540353368806033974850753' has page ID '127897', but no workflow is linked to this page ID
ERROR: 'User talk:New user 126236837791207981030919171785047766824' has page ID '127942', but no workflow is linked to this page ID
ERROR: 'User talk:New user 276459909779135965232954281658062689052' has page ID '127945', but no workflow is linked to this page ID
ERROR: 'User talk:New user 264307389301041562482231038508858379007' has page ID '127994', but no workflow is linked to this page ID
ERROR: 'User talk:New user 254875499838695690038540228885270362893' has page ID '127996', but no workflow is linked to this page ID
ERROR: 'User talk:New user 31214217448651762426606249677253895226' has page ID '128040', but no workflow is linked to this page ID
ERROR: 'User talk:New user 157054846224992471461095463345585570613' has page ID '128043', but no workflow is linked to this page ID
enwiki:  Checked a total of 900 Flow boards.  Fixed a total of 0 inconsistent boards.
ERROR: 'User talk:New user 166311713650170976618663252910163797466' has page ID '128094', but no workflow is linked to this page ID
ERROR: 'User talk:New user 120848189147167191924684926584850498763' has page ID '128096', but no workflow is linked to this page ID
ERROR: 'User talk:New user 71524497284364235128365219608895488379' has page ID '128199', but no workflow is linked to this page ID
ERROR: 'User talk:New user 103566033011179460282507324969914998515' has page ID '128264', but no workflow is linked to this page ID
ERROR: 'User talk:New user 139394684877527844257397450636765169491' has page ID '128267', but no workflow is linked to this page ID
ERROR: 'User talk:New user 10987038519841667141609016960345826612' has page ID '128269', but no workflow is linked to this page ID
ERROR: 'User talk:New user 218882317733566918531225309269648688455' has page ID '128292', but no workflow is linked to this page ID
ERROR: 'User talk:New user 71904022292925817431166059314929858223' has page ID '128295', but no workflow is linked to this page ID
ERROR: 'User talk:New user 53759057536096482461015789565100802801' has page ID '128356', but no workflow is linked to this page ID
ERROR: 'User talk:New user 327790678713700616512661010117863578968' has page ID '128435', but no workflow is linked to this page ID
ERROR: 'User talk:New user 66574177699716479943474798038457941584' has page ID '128437', but no workflow is linked to this page ID
ERROR: 'User talk:New user 93510617499239998514257221536868956787' has page ID '128492', but no workflow is linked to this page ID
ERROR: 'User talk:New user 105731098535298213380693934316195037543' has page ID '128495', but no workflow is linked to this page ID
ERROR: 'User talk:New user 144133806077081384961608409938388238243' has page ID '128545', but no workflow is linked to this page ID
ERROR: 'User talk:New user 18286147424233126014899678169513683563' has page ID '128548', but no workflow is linked to this page ID
ERROR: 'User talk:New user 263952008482448294192275278420117176073' has page ID '128592', but no workflow is linked to this page ID
ERROR: 'User talk:New user 21356917003224549994604532041670919060' has page ID '128595', but no workflow is linked to this page ID
ERROR: 'User talk:New user 66867688629665403759818948982320547064' has page ID '128636', but no workflow is linked to this page ID
ERROR: 'User talk:New user 165213472143404344684376732425912647295' has page ID '128639', but no workflow is linked to this page ID
ERROR: 'User talk:Test Flow Opt In 1' has page ID '128668', but no workflow is linked to this page ID
ERROR: 'User talk:New user 243614905262217220728837136635454912208' has page ID '128686', but no workflow is linked to this page ID
ERROR: 'User talk:New user 158239337754567444178484150502715408804' has page ID '128737', but no workflow is linked to this page ID
ERROR: 'User talk:New user 225046636180195292806336116384554189130' has page ID '128740', but no workflow is linked to this page ID
ERROR: 'User talk:New user 170696149662579016091622164800128472532' has page ID '128816', but no workflow is linked to this page ID
ERROR: 'User talk:New user 185022173580746297386423546763262329741' has page ID '128864', but no workflow is linked to this page ID
ERROR: 'User talk:New user 216522278488382263986284800003925098930' has page ID '128867', but no workflow is linked to this page ID
ERROR: 'User talk:New user 5169248577014420115536462113101598113' has page ID '128912', but no workflow is linked to this page ID
ERROR: 'User talk:New user 40458153916688503054653369075417657448' has page ID '128914', but no workflow is linked to this page ID
ERROR: 'User talk:New user 240227388606968624326400287165145113886' has page ID '128968', but no workflow is linked to this page ID
ERROR: 'User talk:New user 25279718793948655342359027869005450276' has page ID '128971', but no workflow is linked to this page ID
ERROR: 'User talk:New user 96257116408310904848518257834808463316' has page ID '129051', but no workflow is linked to this page ID
ERROR: 'User talk:New user 182026319440478071379667926937823787678' has page ID '129054', but no workflow is linked to this page ID
ERROR: 'User talk:New user 126045570675346722544445477832532006995' has page ID '129102', but no workflow is linked to this page ID
ERROR: 'User talk:New user 336770580272782371047667065969051968479' has page ID '129105', but no workflow is linked to this page ID
ERROR: 'User talk:New user 181205426097791952548332438452693684552' has page ID '129148', but no workflow is linked to this page ID
ERROR: 'User talk:New user 167765667262954778302360848861553375415' has page ID '129151', but no workflow is linked to this page ID
ERROR: 'User talk:New user 15730076184322766486357088456597587918' has page ID '129191', but no workflow is linked to this page ID
ERROR: 'User talk:New user 309304413024195596062617533841776126825' has page ID '129194', but no workflow is linked to this page ID
ERROR: 'User talk:New user 263179217290235197331060290458627576168' has page ID '129236', but no workflow is linked to this page ID
ERROR: 'User talk:New user 140297247234536719896437238571089398950' has page ID '129239', but no workflow is linked to this page ID
ERROR: 'User talk:New user 183237369928152261385452427552868829483' has page ID '129324', but no workflow is linked to this page ID
ERROR: 'User talk:New user 41394373303613291669794161343157017039' has page ID '129327', but no workflow is linked to this page ID
ERROR: 'User talk:New user 159934215868034915979847733184429626901' has page ID '129367', but no workflow is linked to this page ID
ERROR: 'User talk:New user 293674681169325652207027966180180966818' has page ID '129370', but no workflow is linked to this page ID
ERROR: 'User talk:New user 221908264710415794245329227197951824355' has page ID '129415', but no workflow is linked to this page ID
ERROR: 'User talk:New user 58642683406478562363004587557890453063' has page ID '129418', but no workflow is linked to this page ID
ERROR: 'User talk:New user 294419614791953499627350946328061934756' has page ID '129470', but no workflow is linked to this page ID
ERROR: 'User talk:New user 335067256444609224345995702573989953312' has page ID '129473', but no workflow is linked to this page ID
ERROR: 'User talk:Strangepenguin' has page ID '129482', but no workflow is linked to this page ID
ERROR: 'User talk:New user 131178103749255165054704127698519675664' has page ID '129522', but no workflow is linked to this page ID
ERROR: 'User talk:Abctest' has page ID '129583', but no workflow is linked to this page ID
ERROR: 'User talk:New user 308463002085507915523128003100427738414' has page ID '129588', but no workflow is linked to this page ID
ERROR: 'User talk:New user 306467998036242801067530328343693174722' has page ID '129591', but no workflow is linked to this page ID
ERROR: 'User talk:New user 20277437086916122802994547293066508161' has page ID '129596', but no workflow is linked to this page ID
ERROR: 'User talk:Abctest2' has page ID '129598', but no workflow is linked to this page ID
ERROR: 'User talk:Abctest3' has page ID '129612', but no workflow is linked to this page ID
ERROR: 'User talk:New user 63061054297272634693744672557672348795' has page ID '129621', but no workflow is linked to this page ID
ERROR: 'User talk:New user 223830594383226378325647637798507038897' has page ID '129624', but no workflow is linked to this page ID
ERROR: 'User talk:New user 13481261169029923040745851585892704931' has page ID '129633', but no workflow is linked to this page ID
ERROR: 'User talk:New user 279123251425844265253106698157255914367' has page ID '129637', but no workflow is linked to this page ID
ERROR: 'User talk:ET17' has page ID '129662', but no workflow is linked to this page ID
ERROR: 'User talk:New user 222648667492787290867006066361508169' has page ID '129695', but no workflow is linked to this page ID
enwiki:  Checked a total of 1200 Flow boards.  Fixed a total of 0 inconsistent boards.

Change 325538 had a related patch set uploaded (by Sbisson):
Remove FlowFixInconsistentBoards maintenance script from update.php

https://gerrit.wikimedia.org/r/325538

This is caused by https://gerrit.wikimedia.org/r/#/c/322223/, which I merged on Sunday.

I just uploaded a patch to remove FlowFixInconsistentBoards from update.php until it is fixed.

Change 325538 merged by jenkins-bot:
Remove FlowFixInconsistentBoards maintenance script from update.php

https://gerrit.wikimedia.org/r/325538

Catrope closed this task as Resolved.Dec 6 2016, 6:46 PM
Catrope claimed this task.